summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
Diffstat (limited to 'misc')
-rw-r--r--misc/cksfv/cksfv.SlackBuild6
-rw-r--r--misc/jigdo/README8
-rw-r--r--misc/jigdo/jigdo.SlackBuild85
-rw-r--r--misc/jigdo/jigdo.info10
-rw-r--r--misc/jigdo/jigdo_0.7.3-3.diff.gzbin0 -> 14151 bytes
-rw-r--r--misc/jigdo/slack-desc19
-rw-r--r--misc/lxappearance-obconf/README4
-rw-r--r--misc/lxappearance-obconf/lxappearance-obconf.SlackBuild82
-rw-r--r--misc/lxappearance-obconf/lxappearance-obconf.info10
-rw-r--r--misc/lxappearance-obconf/slack-desc19
-rw-r--r--misc/lxappearance/lxappearance.SlackBuild7
-rw-r--r--misc/lxappearance/lxappearance.info8
12 files changed, 248 insertions, 10 deletions
diff --git a/misc/cksfv/cksfv.SlackBuild b/misc/cksfv/cksfv.SlackBuild
index d76ef63007..96c229b55c 100644
--- a/misc/cksfv/cksfv.SlackBuild
+++ b/misc/cksfv/cksfv.SlackBuild
@@ -82,10 +82,8 @@ make install
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man/
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS ChangeLog COPYING INSTALL README TODO \
diff --git a/misc/jigdo/README b/misc/jigdo/README
new file mode 100644
index 0000000000..9b69320f1f
--- /dev/null
+++ b/misc/jigdo/README
@@ -0,0 +1,8 @@
+jigdo (jigsaw download)
+
+Jigsaw Download, or short jigdo, is a tool designed to ease the
+distribution of very large files over the internet, for example CD or
+DVD images. Its aim is to make downloading the images as easy for
+users as a click on a direct download link in a browser, while
+avoiding all the problems that server administrators have with hosting
+such large files.
diff --git a/misc/jigdo/jigdo.SlackBuild b/misc/jigdo/jigdo.SlackBuild
new file mode 100644
index 0000000000..33a574b5d5
--- /dev/null
+++ b/misc/jigdo/jigdo.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for jigdo
+# Written by ponce <matteo.bernardini@gmail.com>
+
+PRGNAM=jigdo
+VERSION=${VERSION:-0.7.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="README THANKS changelog doc/TechDetails.txt doc/Hacking.txt"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# apply some patches from debian
+zcat $CWD/jigdo_0.7.3-3.diff.gz | patch -p1
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mv $PKG/usr/share/$PRGNAM/COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/jigdo/jigdo.info b/misc/jigdo/jigdo.info
new file mode 100644
index 0000000000..8c5f23a42e
--- /dev/null
+++ b/misc/jigdo/jigdo.info
@@ -0,0 +1,10 @@
+PRGNAM="jigdo"
+VERSION="0.7.3"
+HOMEPAGE="http://atterer.org/jigdo/"
+DOWNLOAD="http://atterer.org/sites/atterer/files/2009-08/jigdo/jigdo-0.7.3.tar.bz2"
+MD5SUM="bbc1d9ac750bb34e0748f0b57157cc72"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="ponce"
+EMAIL="matteo.bernardini@gmail.com"
+APPROVED=""
diff --git a/misc/jigdo/jigdo_0.7.3-3.diff.gz b/misc/jigdo/jigdo_0.7.3-3.diff.gz
new file mode 100644
index 0000000000..43a8349d7d
--- /dev/null
+++ b/misc/jigdo/jigdo_0.7.3-3.diff.gz
Binary files differ
diff --git a/misc/jigdo/slack-desc b/misc/jigdo/slack-desc
new file mode 100644
index 0000000000..d5596cacd4
--- /dev/null
+++ b/misc/jigdo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jigdo: jigdo (jigsaw download)
+jigdo:
+jigdo: Jigsaw Download, or short jigdo, is a tool designed to ease the
+jigdo: distribution of very large files over the internet, for example CD or
+jigdo: DVD images. Its aim is to make downloading the images as easy for
+jigdo: users as a click on a direct download link in a browser, while
+jigdo: avoiding all the problems that server administrators have with hosting
+jigdo: such large files.
+jigdo:
+jigdo: homepage: http://atterer.org/jigdo/
+jigdo:
diff --git a/misc/lxappearance-obconf/README b/misc/lxappearance-obconf/README
new file mode 100644
index 0000000000..1c080fc674
--- /dev/null
+++ b/misc/lxappearance-obconf/README
@@ -0,0 +1,4 @@
+lxappearance-obconf (lxappearance openbox plugin)
+
+LXAppearance-obconf is an lxappearance plugin that implements openbox settings.
+It's based on obconf 2.0.3 code.
diff --git a/misc/lxappearance-obconf/lxappearance-obconf.SlackBuild b/misc/lxappearance-obconf/lxappearance-obconf.SlackBuild
new file mode 100644
index 0000000000..797dd90c20
--- /dev/null
+++ b/misc/lxappearance-obconf/lxappearance-obconf.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for lxappearance-obconf
+
+# Written by ponce <matteo.bernardini@gmail.com>
+# based on slackbuilds.org default template
+# generated by Grissiom's sbo-dev-helper
+
+PRGNAM=lxappearance-obconf
+VERSION=${VERSION:-20110820_02aeaab}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sh autogen.sh || true
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS COPYING CHANGELOG NEWS README README.transifex TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/lxappearance-obconf/lxappearance-obconf.info b/misc/lxappearance-obconf/lxappearance-obconf.info
new file mode 100644
index 0000000000..c9e96c9aa6
--- /dev/null
+++ b/misc/lxappearance-obconf/lxappearance-obconf.info
@@ -0,0 +1,10 @@
+PRGNAM="lxappearance-obconf"
+VERSION="20110820_1152465"
+HOMEPAGE="http://lxde.org/"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/lxde/lxappearance-obconf-20110820_02aeaab.tar.xz"
+MD5SUM="d81259dc87f4ae3d0d00a6f09202d0d2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="ponce"
+EMAIL="matteo.bernardini@gmail.com"
+APPROVED=""
diff --git a/misc/lxappearance-obconf/slack-desc b/misc/lxappearance-obconf/slack-desc
new file mode 100644
index 0000000000..1fceebbf48
--- /dev/null
+++ b/misc/lxappearance-obconf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lxappearance-obconf: lxappearance-obconf (lxappearance openbox plugin)
+lxappearance-obconf:
+lxappearance-obconf: LXAppearance-obconf is an lxappearance plugin that implements
+lxappearance-obconf: openbox settings.
+lxappearance-obconf: It's based on obconf 2.0.3 code.
+lxappearance-obconf:
+lxappearance-obconf:
+lxappearance-obconf:
+lxappearance-obconf:
+lxappearance-obconf: lxappearance-obconf home: http://lxde.org/
+lxappearance-obconf:
diff --git a/misc/lxappearance/lxappearance.SlackBuild b/misc/lxappearance/lxappearance.SlackBuild
index 965b2e331f..80ea5b2153 100644
--- a/misc/lxappearance/lxappearance.SlackBuild
+++ b/misc/lxappearance/lxappearance.SlackBuild
@@ -5,7 +5,7 @@
# Originally by "majk" <majk@konstelacioj.info>
PRGNAM=lxappearance
-VERSION=${VERSION:-0.5.1}
+VERSION=${VERSION:-20110611_85fee53}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -42,7 +42,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -51,11 +51,14 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+sh autogen.sh || true
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-man \
--mandir=/usr/man \
--sysconfdir=/etc \
--build=$ARCH-slackware-linux
diff --git a/misc/lxappearance/lxappearance.info b/misc/lxappearance/lxappearance.info
index 88fe555c25..668e15aff1 100644
--- a/misc/lxappearance/lxappearance.info
+++ b/misc/lxappearance/lxappearance.info
@@ -1,10 +1,10 @@
PRGNAM="lxappearance"
-VERSION="0.5.1"
+VERSION="20110611_85fee53"
HOMEPAGE="http://lxde.org"
-DOWNLOAD="http://downloads.sourceforge.net/lxde/lxappearance-0.5.1.tar.gz"
-MD5SUM="34d157a7fe97ef0b93db8fab3f251e07"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/lxde/lxappearance-20110611_85fee53.tar.xz"
+MD5SUM="bc3f2805b67f3173df40cf1ba4710f37"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Dugan Chen"
EMAIL="dugan [underscore] c [at] fastmail [dot] fm"
-APPROVED="Erik Hanson,Niels Horn"
+APPROVED=""